/*
** Module   : LegacyIndex.java
** Abstract : Annotation used to set the legacy name for a legacy table index.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20131021 Created initial version.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to mark a DMO class with a legacy table index.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface LegacyIndex
{
   /** The name of the legacy table index. */
   String name();

   /** The converted name (at physical DB level) of this table index. */
   String converted();
}
