/*
** Module   : LegacyIndexes.java
** Abstract : Annotation used to set the legacy indexes for a DMO class.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20131021 Created initial version.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to mark a DMO class with its legacy indexes.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface LegacyIndexes
{
   /** The list of {@link LegacyIndex legacy table indexes.} */
   LegacyIndex[] value();
}
